// EONull.h
// Copyright (c) 1994, NeXT Computer, Inc.  All rights reserved.

#import <foundation/NSArray.h>
#import <foundation/NSData.h>
#import <foundation/NSDictionary.h>
#import <foundation/NSObject.h>
#import <foundation/NSString.h>


// The EONull class represents null values in the database server.  You can
// check whether any attribute value is null by comparing with the EONull
// instance.
//
//     if (myValue == [EONull null]) ...


@interface EONull:NSObject <NSCopying>

+ (EONull *)null;
    // Returns a unique instance representing null values in the database
    // server.

@end
